using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            
            string linija = Console.ReadLine();
            int N = int.Parse(linija.Split(' ')[0]);
            int[,] matrica = new int[N,2];
            int M = int.Parse(linija.Split(' ')[1]);
            
            for(int i = 0; i < N; i++)
            {
                linija = Console.ReadLine();
                matrica[i, 0] = int.Parse(linija.Split(' ')[0]);
                matrica[i, 1] = int.Parse(linija.Split(' ')[0]);
            }
            int li;
            int ri;
            int xi;
            int brojac = 0;
            for (int i = 0; i < M; i++)
            {
                linija = Console.ReadLine();
                li = int.Parse(linija.Split(' ')[0]);
                ri = int.Parse(linija.Split(' ')[1]);
                xi = int.Parse(linija.Split(' ')[2]);
                for(int j=li;j<ri; j++)
                {
                    if (xi >= matrica[j, 0] && xi <= matrica[j, 1]) brojac++;
                }
                Console.WriteLine(brojac);
            }
            
        }
    }
}